Requirements and Supported Platforms

This section describes Crafter CMS requirements and supported platforms.

Requirements

To run Crafter CMS, the following are required:

  • Java 1.8+
  • 4+ Gig of memory to JVM (additional memory may be required depending on the size and number of your web experiences)

Please note that Crafter CMS does not require any external databases for the core system to run and deliver fully dynamic experiences. MongoDB is used by Crafter Profile and Crafter Social which are optional components that provide user management and social features.

Note

Crafter CMS is not yet compatible with Java 1.9. We are working on updating our code to make sure we are 100% compatible with the newest Java version.

Supported Platforms

OS (All components)

The following Operating Systems are supported (64Bit only for all OSs)

  • Windows (Windows 7, Windows 10, Windows Server 2012 and Windows Server 2016)
  • Linux
  • OS X

JVMs (All components)

The following JVMs are supported:

  • OpenJDK 1.8
  • Oracle JDK (HotSpot) 1.8

Browsers (Crafter Studio & Crafter Social/Profile Admin Consoles)

The following browsers are supported:

  • Chrome
  • Firefox